Remove the multiple section edit failure for mentions
Closed, ResolvedPublic2 Story Points

Description

Task:
When a user adds

text text text
== section header ==
some more text

and the text parts contain user links, these should result in mentions, if in the section in question a new signature was added.

Background:
One wish of the German-speaking community wishlist 2015 was to be informed about mentions you sent (T139962)
We decided to include notifications about mentions that failed to send, too. One failure, the "multiple section edit" failure, occurs, when people add text and a new section, where the header is not the first item in the changes. This failure blocks all notifications from this edit, no matter if they were part of the section or not. Especially, since mentions are hard to correct (you would always have to add a NEW user link and signature), we decided to fix that issue to have more notifications be sent.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 10:52 AM
WMDE-leszek set the point value for this task to 8.Aug 2 2016, 11:14 AM
Lea_WMDE renamed this task from PLACEHOLDER: Multi section edit and mention related task to Remove the multiple section edit failure for mentions.Aug 3 2016, 10:34 AM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
WMDE-leszek removed Lea_WMDE as the assignee of this task.Aug 3 2016, 1:50 PM
WMDE-Fisch claimed this task.

Change 304198 had a related patch set uploaded (by WMDE-Fisch):
Send mentions when editing multiple sections in between sections.

https://gerrit.wikimedia.org/r/304198

WMDE-leszek changed the point value for this task from 8 to 5.Aug 11 2016, 2:41 PM
WMDE-leszek moved this task from Proposed to Review on the TCB-Team-Sprint-2016-08-11 board.

Change 304805 had a related patch set uploaded (by WMDE-Fisch):
Log edits in multiple sections that could trigger mentions.

https://gerrit.wikimedia.org/r/304805

Change 304805 merged by jenkins-bot:
Log edits in multiple sections that could trigger mentions.

https://gerrit.wikimedia.org/r/304805

@WMDE-leszek I think that parent task was a mistake, no?

Yes @Tobi_WMDE_SW, thanks for noticing! Too many open tabs while cleaning up a board.

Change 304198 merged by jenkins-bot:
Send mentions when editing multiple sections in between sections.

https://gerrit.wikimedia.org/r/304198

Johan moved this task from To Triage to In current Tech/News draft on the User-notice board.
He7d3r added a subscriber: He7d3r.Sep 26 2016, 8:19 PM
Tobi_WMDE_SW closed this task as Resolved.Sep 27 2016, 3:57 PM